Summary: Create deltas between rpms
Name: deltarpm
Version: 3.6
Release: 0.1.20110223git
License: BSD
Group: System/Configuration/Packaging
URL: http://gitorious.org/deltarpm/deltarpm
# Generate source by doing:
# git clone git://gitorious.org/deltarpm/deltarpm
# cd deltarpm
# git archive --format=tar --prefix="deltarpm-git-20110223/" 7ed5208166 | \
#   bzip2 > deltarpm-git-20110223.tar.bz2
Source: %{name}-git-20110223.tar.bz2
Patch0: deltarpm-rpm5.patch
BuildRequires: bzip2-devel, lzma-devel, rpm-devel, popt-devel
BuildRequires: zlib-devel
%py_requires -d

%description
A deltarpm contains the difference between an old
and a new version of a rpm, which makes it possible
to recreate the new rpm from the deltarpm and the old
one. You don't have to have a copy of the old rpm,
deltarpms can also work with installed rpms.

%package -n drpmsync
Summary: Sync a file tree with deltarpms
Group: System/Configuration/Packaging
Requires: deltarpm = %{version}-%{release}

%description -n drpmsync
This package contains a tool to sync a file tree with
deltarpms.

%package -n deltaiso
Summary: Create deltas between isos containing rpms
Group: System/Configuration/Packaging
Requires: deltarpm = %{version}-%{release}

%description -n deltaiso
This package contains tools for creating and using deltasisos,
a difference between an old and a new iso containing rpms.

%package -n python-deltarpm
Summary: Python bindings for deltarpm
Group: System/Configuration/Packaging
Requires: deltarpm = %{version}-%{release}

%description -n python-deltarpm
This package contains python bindings for deltarpm.


%prep
%setup -q -n %{name}-git-20110223
%patch0 -p1

%build
%make -C zlib* CFLAGS="%{optflags} -O3" LDFLAGS="%{ldflags}" libz.a
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
    bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
    zlibbundled='' zlibldflags='-lz' zlibcppflags=''
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
    bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
    zlibbundled='' zlibldflags='-lz' zlibcppflags='' \
    python

%install
%{__rm} -rf %{buildroot}
%makeinstall pylibprefix=%{buildroot}

rm -rf %{buildroot}%{_libdir}/python3*

%files
%doc LICENSE.BSD README
%doc %{_mandir}/man8/applydeltarpm*
%doc %{_mandir}/man8/makedeltarpm*
%doc %{_mandir}/man8/combinedeltarpm*
%{_bindir}/applydeltarpm
%{_bindir}/combinedeltarpm
%{_bindir}/makedeltarpm
%{_bindir}/rpmdumpheader

%files -n deltaiso
%doc LICENSE.BSD README
%doc %{_mandir}/man8/applydeltaiso*
%doc %{_mandir}/man8/makedeltaiso*
%{_bindir}/applydeltaiso
%{_bindir}/fragiso
%{_bindir}/makedeltaiso

%files -n drpmsync
%doc LICENSE.BSD README
%doc %{_mandir}/man8/drpmsync*
%{_bindir}/drpmsync

%files -n python-deltarpm
%doc LICENSE.BSD
%{python_sitearch}/*


%changelog
* Tue Aug 28 2012 Paulo Andrade <pcpa@mandriva.com.br> 3.6-0.1.20110223git
+ Revision: 815943
- Sanitize group and release tags.
- Correct underlink in python module, causing createrepo to fail to execute.
- Update to latest upstream release.

* Fri Feb 17 2012 Oden Eriksson <oeriksson@mandriva.com> 3.5-1
+ Revision: 776099
- 3.5
- rediff the patches

* Wed Nov 02 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.4-11
+ Revision: 712270
- rebuild against new rpm 5.4
- remove obsolete rpm stuff

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 3.4-10
+ Revision: 663762
- mass rebuild

* Sun Jan 09 2011 Funda Wang <fwang@mandriva.org> 3.4-9mdv2011.0
+ Revision: 630748
- %{_usrlibrpm} only exists in rpm > 5.3
- finally fix linkage
- fix link order

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rpm5 rebuild for main/release

* Sun Dec 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.4-8mdv2011.0
+ Revision: 610658
- update rpm5 support & apply some misc build fixes/improvements..

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.4-7mdv2011.0
+ Revision: 604783
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.4-6mdv2010.1
+ Revision: 522450
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 3.4-5mdv2010.0
+ Revision: 413346
- rebuild

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4-4mdv2009.1
+ Revision: 348002
- rebuild for latest rpm
- rediff fuzzy patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new rpm

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.4-2mdv2009.0
+ Revision: 220579
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add support for rpm5.org (P1)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 03 2007 Funda Wang <fwang@mandriva.org> 3.4-1mdv2008.1
+ Revision: 114565
- New version 3.4

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 3.3-4mdv2008.0
+ Revision: 37866
- add rpm includedir path to cflags, use it

